summaryrefslogtreecommitdiffstats
path: root/docker/s6
diff options
context:
space:
mode:
authorJean-Philippe Roemer <roemer.jp@gmail.com>2015-10-02 21:54:55 +0100
committerJean-Philippe Roemer <roemer.jp@gmail.com>2015-10-02 23:13:39 +0100
commitad5e0b833c0a71a47ac0a0e0d7febc50f5cd739d (patch)
tree40937a12e8559a6836730cf8a31b5fd4e027a859 /docker/s6
parente5310cdbc1af0b9079c7c46c6433804c8e89661b (diff)
downloadgitea-ad5e0b833c0a71a47ac0a0e0d7febc50f5cd739d.tar.gz
gitea-ad5e0b833c0a71a47ac0a0e0d7febc50f5cd739d.zip
Docker Container: Init 1 & Initialisation
- Now using a setup script before starting the app. The separation of the run script and the setup script will make service initialisation a little bit clearer - Now calling start.sh script as ENTRYPOINT and S6 as CMD. This way when running the container with just a shell script, the start.sh script will be launched before, making debugging easier - Added note about `.dockerignore` ignored during Docker Hub Automated Build
Diffstat (limited to 'docker/s6')
-rwxr-xr-xdocker/s6/gogs/run24
-rwxr-xr-xdocker/s6/gogs/setup22
-rwxr-xr-xdocker/s6/openssh/run12
-rwxr-xr-xdocker/s6/openssh/setup12
4 files changed, 39 insertions, 31 deletions
diff --git a/docker/s6/gogs/run b/docker/s6/gogs/run
index 626012c218..1aa70eb41d 100755
--- a/docker/s6/gogs/run
+++ b/docker/s6/gogs/run
@@ -1,26 +1,8 @@
#!/bin/sh
-USER=git
-if ! test -d /data/gogs; then
- mkdir -p /data/gogs/data /data/gogs/conf /data/gogs/log /data/git
+if test -f ./setup; then
+ source ./setup
fi
-if ! test -d ~git/.ssh; then
- mkdir ~git/.ssh
- chmod 700 ~git/.ssh
-fi
-
-if ! test -f ~git/.ssh/environment; then
- echo "GOGS_CUSTOM=${GOGS_CUSTOM}" > ~git/.ssh/environment
- chmod 600 ~git/.ssh/environment
-fi
-
-cd /app/gogs
-
-ln -sf /data/gogs/log ./log
-ln -sf /data/gogs/data ./data
-
-chown -R git:git /data /app/gogs ~git/
-
-export USER
+export USER=git
exec gosu $USER /app/gogs/gogs web
diff --git a/docker/s6/gogs/setup b/docker/s6/gogs/setup
new file mode 100755
index 0000000000..6270d551a6
--- /dev/null
+++ b/docker/s6/gogs/setup
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if ! test -d /data/gogs; then
+ mkdir -p /data/gogs/data /data/gogs/conf /data/gogs/log /data/git
+fi
+
+if ! test -d ~git/.ssh; then
+ mkdir ~git/.ssh
+ chmod 700 ~git/.ssh
+fi
+
+if ! test -f ~git/.ssh/environment; then
+ echo "GOGS_CUSTOM=${GOGS_CUSTOM}" > ~git/.ssh/environment
+ chmod 600 ~git/.ssh/environment
+fi
+
+cd /app/gogs
+
+ln -sf /data/gogs/log ./log
+ln -sf /data/gogs/data ./data
+
+chown -R git:git /data /app/gogs ~git/
diff --git a/docker/s6/openssh/run b/docker/s6/openssh/run
index 444863a5c4..99172aab69 100755
--- a/docker/s6/openssh/run
+++ b/docker/s6/openssh/run
@@ -1,15 +1,7 @@
#!/bin/sh
-if ! test -d /data/ssh
-then
- mkdir -p /data/ssh
- ssh-keygen -q -f /data/ssh/ssh_host_key -N '' -t rsa1
- ssh-keygen -q -f /data/ssh/ssh_host_rsa_key -N '' -t rsa
- ssh-keygen -q -f /data/ssh/ssh_host_dsa_key -N '' -t dsa
- ssh-keygen -q -f /data/ssh/ssh_host_ecdsa_key -N '' -t ecdsa
- ssh-keygen -q -f /data/ssh/ssh_host_ed25519_key -N '' -t ed25519
- chown -R root:root /data/ssh/*
- chmod 600 /data/ssh/*
+if test -f ./setup; then
+ source ./setup
fi
exec gosu root /usr/sbin/sshd -D -f /app/gogs/docker/sshd_config
diff --git a/docker/s6/openssh/setup b/docker/s6/openssh/setup
new file mode 100755
index 0000000000..5997a33659
--- /dev/null
+++ b/docker/s6/openssh/setup
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if ! test -d /data/ssh; then
+ mkdir -p /data/ssh
+ ssh-keygen -q -f /data/ssh/ssh_host_key -N '' -t rsa1
+ ssh-keygen -q -f /data/ssh/ssh_host_rsa_key -N '' -t rsa
+ ssh-keygen -q -f /data/ssh/ssh_host_dsa_key -N '' -t dsa
+ ssh-keygen -q -f /data/ssh/ssh_host_ecdsa_key -N '' -t ecdsa
+ ssh-keygen -q -f /data/ssh/ssh_host_ed25519_key -N '' -t ed25519
+ chown -R root:root /data/ssh/*
+ chmod 600 /data/ssh/*
+fi